Bug 206899 - Assertion failed at pkt.c:55
Assertion failed at pkt.c:55
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnokii (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 19:51 EDT by Tethys
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-18 02:30:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tethys 2006-09-17 19:51:13 EDT
Description of problem:


Version-Release number of selected component (if applicable):
gnokii-0.6.12-4.fc4

How reproducible:
Every time

Steps to Reproduce:
1. Plug in USB cable
2. gnokii --identify
3. gnokii --monitor once
  
Actual results:

leto:~# gnokii --identify
GNOKII Version 0.6.12
LOG: debug mask is 0x1
phone instance config:
model: series60
port_device: /dev/ttyACM0
connection_type: 0
init_length: 0
serial_baudrate: 19200
serial_write_usleep: -1
hardware_handshake: 0
require_dcd: 0
smsc_timeout: 100
connect_script: 
disconnect_script: 
rfcomm_cn: 1
sm_retry: off
Serial device: opening device /dev/ttyACM0
Message sent: 0x01 / 0x0002
00 01                                           |                 
Message received: 0x01 / 0x0002
00 01                                           |                 
Received message type 01
gnokii: pkt.c:55: buffer_expand: Assertion `buf->size >= buf->offs + len' failed.
Aborted


leto:~# gnokii --monitor once
GNOKII Version 0.6.12
LOG: debug mask is 0x1
phone instance config:
model: series60
port_device: /dev/ttyACM0
connection_type: 0
init_length: 0
serial_baudrate: 19200
serial_write_usleep: -1
hardware_handshake: 0
require_dcd: 0
smsc_timeout: 100
connect_script: 
disconnect_script: 
rfcomm_cn: 1
sm_retry: off
Serial device: opening device /dev/ttyACM0
Message sent: 0x01 / 0x0002
00 01                                           |                 
Message received: 0x01 / 0x0002
00 01                                           |                 
Received message type 01
gnokii: pkt.c:55: buffer_expand: Assertion `buf->size >= buf->offs + len' failed.
Aborted

This is with a Nokia 6680 phone and the supplied USB cable:

leto:~# lsusb
Bus 005 Device 001: ID 0000:0000  
Bus 004 Device 001: ID 0000:0000  
Bus 003 Device 001: ID 0000:0000  
Bus 002 Device 001: ID 0000:0000  
Bus 001 Device 021: ID 0421:041e Nokia Mobile Phones 
Bus 001 Device 013: ID 0aec:3260 Neodio Technologies Corp. 7-in-1 Card Reader
Bus 001 Device 008: ID 04b4:6560 Cypress Semiconductor Corp. CY7C65640 USB-2.0
"TetraHub"
Bus 001 Device 001: ID 0000:0000  


leto:~# dmesg | tail -2
usb 1-4.4: new full speed USB device using ehci_hcd and address 21
cdc_acm 1-4.4:1.8: ttyACM0: USB ACM device
Comment 1 Linus Walleij 2006-09-18 02:30:43 EDT
This issue has very little to do with Fedora packaging, it can most certainly
be reproduced when building from source. Please file a bug with upstream,
who has a new version out which ships with FE6, so also check if its fixed in
upstream already.

Note You need to log in before you can comment on or make changes to this bug.